/*
 *  trender - 3D Studio .ASC files realtime renderer
 *  Copyright (C) 1999  Thanassis Tsiodras (ttsiod@softlab.ntua.gr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GOURAUD_INCLUDED__
#define __GOURAUD_INCLUDED__

#include "Types.h"
#include "Vgalib.h"

typedef struct {
  FLOAT X,Y,Z;
  LONG Color;
} FPOINT;

typedef struct {
  LONG X,Y,Z;
  LONG Color;
} LPOINT;

typedef struct {
  LPOINT *P1,*P2,*P3;
} LPOLY;

typedef struct {
  FPOINT *P1,*P2,*P3;
} FPOLY;

typedef char BYTE;
typedef SHORT WORD;
typedef int DWORD;

void initgour(void);
void GouraudFill_Tri(LPOLY *data);
void ZBufferTri(FPOLY *data);

#endif
