/*
 *  trender - 3D Studio .ASC files realtime renderer
 *  Copyright (C) 1999  Thanassis Tsiodras (ttsiod@softlab.ntua.gr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <sys/time.h>
#include <stdio.h>

#include "Misc.h"

BOOLEAN OutOfUCharRange(int x) 
{
    if ((x>255) || (x<0))
        return TRUE;
    else
        return FALSE;
}

BOOLEAN OutOfShortRange(int x) 
{
    if ((x>32767) || (x<-32768))
        return TRUE;
    else
        return FALSE;
}

LONG readtime()
{
    struct timeval now;
    static int firstTime = 1;
    static signed int firstValueSec, firstValueUsec;

    if (firstTime) {
        firstTime = 0;
        gettimeofday(&now, NULL);
        firstValueSec = now.tv_sec;
        firstValueUsec = now.tv_usec;
    }

    gettimeofday(&now, NULL);

    signed int seconds = now.tv_sec;
    signed int useconds = now.tv_usec;

    return((seconds-firstValueSec)*1000 + (useconds-firstValueUsec)/1000);
}

